<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Temperatur Anzeige</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet' type='text/css'>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/riot/2.3.12/riot+compiler.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>

    <script type="riot/tag" src="components/gpio.tag"></script>
    <script type="riot/tag" src="components/sensor.tag"></script>
    <script type="riot/tag" src="pages/control-page.tag"></script>
    <script type="riot/tag" src="pages/overview-page.tag"></script>
    <script type="riot/tag" src="app.tag"></script>
    <script>

    </script>
    <style>
      body  {
        font-family:"Roboto";
        //background-color:black;
        //color:white;
      }
      .clickable {
        cursor:pointer;
      }
      .temperature {
        font-size:2rem;
      }
      .sensor-name {
        font-size: 1rem;
      }

      .gpio-container {
        display:flex;
        margin:0px;
        flex-flow: row wrap;
        justify-content: center;
        align-content: center;
      }

      #container {
          margin: 0px;
          display: flex;
          flex-flow: row wrap;
          justify-content: center;
          align-content: center;
          width:100%;
      }

      #content {
        margin: 0px;
        display: flex;
        flex-flow: row wrap;
        justify-content: center;
        align-content: center;
        width:100%;
      }

      .card {
        margin: 8px;
        width: 80%;
        padding:8px;
        background: #f7f7f7;
        // box-shadow: 0px 1px 5px 0px rgba(50, 50, 50, 0.75);
        border-bottom: 5px solid #ddd;
      }

      .card-small {
        margin: 8px;
        width: 20%;
        padding:8px;
        background: #f7f7f7;
        // box-shadow: 0px 1px 5px 0px rgba(50, 50, 50, 0.75);
        border-bottom: 5px solid #ddd;
      }

      .menu {
        margin: 8px;
        width: 80%;
        padding:8px;
        background: #f7f7f7;
        // box-shadow: 0px 1px 5px 0px rgba(50, 50, 50, 0.75);
      }

    </style>
  </head>
  <body>

    <div id="container" >
      <div class="menu"><a href="/historyRecords">Download History</a> <a href="/historyRecords/lastMonth">Letztes Monat</a> <a href="/historyRecords/currentMonth">Aktuelles Monat</a></div>
      <div id="content"/>
    </div>

    <script>
      function gotoControl() {
        riot.route('control');
      }

      var currentPage = null;

      function goTo(path) {
        if (currentPage) {
          currentPage.unmount(true);
        }

        if (path === 'control' ) {
          currentPage = riot.mount('div#content', 'control-page')[0];
        } else {
          currentPage = riot.mount('div#content', 'overview-page')[0];
        }
      }

      riot.route(goTo);
      riot.route.start(true);
    </script>
  </body>
</html>
